Skip to main content
PUT
Update an Authorization

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the authorization to be updated.

Body

application/json
permissions
string[] | null

An array of Strings holding the permissions provided by this authorization.

userId
string | null

The id of the user this authorization has been created for. The value * represents a global authorization ranging over all users.

groupId
string | null

The id of the group this authorization has been created for.

resourceType
integer<int32> | null

An integer representing the resource type. See the User Guide for a list of integer representations of resource types.

resourceId
string | null

The resource Id. The value * represents an authorization ranging over all instances of a resource.

Response

Request successful. This method returns no content.